> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/overzicht-van-geopard-api-verzoeken/notities-pinnen/27.-mutatie-notitie-opslaan-gekoppeld-aan-bodemdataset.md).

# 27. Mutatie: notitie opslaan gekoppeld aan bodemdataset

Deze mutatie stelt je in staat een Notitie te koppelen aan een opgegeven BodemDataset.

* Een Notitie kan worden gekoppeld aan het Veld via zijn unieke identifier `fieldUuid` en aan de gekoppelde BodemDataset via `soilDatasetUuid`.
* De coördinaat van de Notitie kan worden ingesteld met behulp van de `centroid` eigenschap, die gedefinieerde `breedtegraad` en `lengtegraad` waarden vereist.&#x20;
* Het type Notitie kan worden gespecificeerd met behulp van de `type` eigenschap met acceptabele waarden `GEPLAND` of `REAL`.&#x20;
* De beschrijving van de Notitie kan worden opgegeven met behulp van de `commentaar` eigenschap. Als de beschrijving meerdere regels moet bevatten, de `commentaar` attribuut een tekenreeks met regeleinde-tekens bevatten `\\n` om regels te scheiden. Bijvoorbeeld: `"Eerste regel staat hier\\nTweede regel staat hier.\\nDerde regel staat hier."`.

De voorbeeldverzoeken vindt u hieronder:

```graphql
mutatie SaveNoteAttachedToSoilDataset {
  saveNote(input:{
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016",
    centroid: {
      latitude: 53.42644, 
      longitude:  -109.87590
    },
    type: REAL,
    comment: "De testnotitie gekoppeld aan BodemDataset",
    soilDatasetUuid: "34162ba6-77b6-4d66-8935-b0941d60f7e1"
  } ) {
    uuid
    fieldUuid
    centroid {
      breedtegraad
      lengtegraad
    }
    aanmaakdatum
    updatedDate
    type
    commentaar
    soilDataset {
     	uuid
     	fieldUuid
    }
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutatie SaveNoteAttachedToSoilDataset {
  saveNote(input:{
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016",
    centroid: {
      latitude: 53.42644, 
      longitude:  -109.87590
    },
    type: REAL,
    commentaar: "Eerste regel is hier\\nTweede regel is hier.\\nDerde regel is hier.",
    soilDatasetUuid: "34162ba6-77b6-4d66-8935-b0941d60f7e1"
  } ) {
    uuid
    fieldUuid
    centroid {
      breedtegraad
      lengtegraad
    }
    aanmaakdatum
    updatedDate
    type
    commentaar
    soilDataset {
     	uuid
     	fieldUuid
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/overzicht-van-geopard-api-verzoeken/notities-pinnen/27.-mutatie-notitie-opslaan-gekoppeld-aan-bodemdataset.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
